%define drupaldir %{_datadir}/drupal7
%global alphabeta rc
%global prerelease 1

Name:	drupal7-entity
Version:	1.0
Release: 0.3.%{alphabeta}%{prerelease}%{?dist}
Summary: Extends the entity API to provide a unified way to deal with entities

Group:	Applications/Publishing	
License: GPLv2+
URL:	http://drupal.org/project/entity
Source0: http://ftp.drupal.org/files/projects/entity-7.x-%{version}-%{alphabeta}%{prerelease}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: drupal7

%description
This module extends the entity API of Drupal core in order to provide a unified
way to deal with entities and their properties. Additionally, it provides an
entity CRUD controller, which helps simplifying the creation of new entity
types.

%prep
%setup -qn entity

install -p -m 0644 %{SOURCE1} .


%build
cp %{SOURCE2} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/entity
cp -pr * %{buildroot}%{drupaldir}/modules/entity


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/entity



%changelog
* Tue Dec 20 2011 Scott Dodson <sdodson@redhat.com> - 1.0-0.3.rc1
- Update to 1.0-rc1
* Fri Oct 28 2011 Scott Dodson <sdodson@redhat.com> - 1.0-0.2.beta11
- Fix description
- Update to beta11
* Wed Aug 31 2011 Scott Dodson <sdodson@redhat.com> - 1.0-0.1.beta10
- Initial Packaging
